
Figure - Bug #113492
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试8小时，出现ANR：com.android.gallery3d
2022-11-01 15:51 - CD Test赵飞

Status: CLOSED Start date: 2022-11-01

Priority: Normal Due date: 2022-12-15

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210290232

Resolution: DUPLICATE Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version: 2022-12-28

Test Type: Monkey Test Root cause: 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余的根本原因应该是一样的。我们将统一在113491票里跟踪分析

Description

执行命令：

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes -s 20 --throttle 200

--pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 5 --pct-anyevent 5 --ignore-crashes -v -v -v 180000

2>/sdcard/error.txt 1>/sdcard/info.txt

错误日志：

10-28 08:56:10.991  6173 22850 W Monkey  : // NOT RESPONDING: com.android.gallery3d (pid 25510)

10-28 08:56:10.991  6173 22850 W Monkey  : ANR in com.android.gallery3d (com.android.gallery3d/.filtershow.FilterShowActivity)

10-28 08:56:10.991  6173 22850 W Monkey  : PID: 25510

10-28 08:56:10.991  6173 22850 W Monkey  : Reason: Input dispatching timed out (Application does not have a focused window)

10-28 08:56:10.991  6173 22850 W Monkey  : Parent: com.android.gallery3d/.filtershow.FilterShowActivity

10-28 08:56:10.991  6173 22850 W Monkey  : ErrorId: 063c34ae-41d3-4795-bd92-c48412697852

10-28 08:56:10.991  6173 22850 W Monkey  : Frozen: false

10-28 08:56:10.991  6173 22850 W Monkey  : Load: 8.54 / 7.19 / 6.4

10-28 08:56:10.991  6173 22850 W Monkey  : ----- Output from /proc/pressure/memory -----

10-28 08:56:10.991  6173 22850 W Monkey  : some avg10=0.00 avg60=0.00 avg300=0.00 total=94933

10-28 08:56:10.991  6173 22850 W Monkey  : full avg10=0.00 avg60=0.00 avg300=0.00 total=44519

10-28 08:56:10.991  6173 22850 W Monkey  : ----- End output from /proc/pressure/memory -----

10-28 08:56:10.991  6173 22850 W Monkey  : 

10-28 08:56:10.991  6173 22850 W Monkey  : CPU usage from 0ms to 14850ms later (2022-10-28 08:55:55.974 to 2022-10-28 08:56:10.825):

10-28 08:56:10.991  6173 22850 W Monkey  :   99% 1255/ept_uppertester_v2.0_fse: 87% user + 12% kernel

10-28 08:56:10.991  6173 22850 W Monkey  :   29% 1135/system_server: 8.4% user + 21% kernel / faults: 7552 minor

10-28 08:56:10.991  6173 22850 W Monkey  :   19% 1240/tlog: 0.7% user + 18% kernel

10-28 08:56:10.991  6173 22850 W Monkey  :   6.9% 1455/media.swcodec: 1.2% user + 5.6% kernel / faults: 8730 minor

10-28 08:56:10.991  6173 22850 W Monkey  :   0% 1320/media.codec: 0% user + 0% kernel / faults: 7266 minor

10-28 08:56:10.991  6173 22850 W Monkey  :   3.8% 31791/kworker/u16:17-kgsl-mementry: 0% user + 3.8% kernel

10-28 08:56:10.991  6173 22850 W Monkey  :   3.3% 15991/com.sohu.inputmethod.sogou.car: 1.6% user + 1.7% kernel / faults: 1763 minor

10-28 08:56:10.991  6173 22850 W Monkey  :   3.2% 6091/adbd: 0.5% user + 2.6% kernel / faults: 257 minor

10-28 08:56:10.991  6173 22850 W Monkey  :   3.1% 5269/kworker/u16:15+CDSP_DCI: 0% user + 3.1% kernel

10-28 08:56:10.991  6173 22850 W Monkey  :   2.8% 31819/com.microsoft.emmx: 0.3% user + 2.5% kernel / faults: 1 minor

10-28 08:56:10.991  6173 22850 W Monkey  :   2.7% 2097/com.android.systemui: 1.1% user + 1.6% kernel / faults: 1061 minor

10-28 08:56:10.991  6173 22850 W Monkey  :   2.6% 993/media.hwcodec: 1% user + 1.6% kernel / faults: 3524 minor

...
History

#1 - 2022-11-01 16:10 - CD Test赵飞

日志见Bug #113456 附件

#2 - 2022-11-01 17:18 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

app的问题，请帮忙分析

#3 - 2022-11-02 11:21 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to AF组-RD3_CDTS 罗肖

#4 - 2022-11-02 11:34 - AF组-RD3_CDTS 罗肖

- Assignee changed from AF组-RD3_CDTS 罗肖 to CD AF-陈羽杰

- Resolution changed from -- to DUPLICATE

- Root cause set to 113460

■ Current conclusion

找到问题原因

■ My analysis

(SettingsHomepageActivity.java:395) 导致 java.lang.IllegalStateException: Can not perform this action after onSaveInstanceState

■ Next action 

转给Setting同事解决

#5 - 2022-11-02 14:16 - CD AF-陈羽杰

- Assignee changed from CD AF-陈羽杰 to AF组-RD3_CDTS 罗肖

10-28 08:56:10.991  6173 22850 W Monkey  : // NOT RESPONDING: com.android.gallery3d (pid 25510)

10-28 08:56:10.991  6173 22850 W Monkey  : ANR in com.android.gallery3d (com.android.gallery3d/.filtershow.FilterShowActivity)

日志显示包名  com.android.gallery3d 报ANR 与，Settings崩溃应该不会导致其他应用ANR，请再分析一下是否为其他原因导致。

#6 - 2022-11-03 10:02 - AF组-RD3_CDTS 罗肖

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from AF组-RD3_CDTS 罗肖 to CD Test赵飞

- Root cause deleted (113460)

请帮忙上传TLog和data目录下的anr文件夹，谢谢
#7 - 2022-11-07 13:38 - CD Test赵飞

11月4号DB版本未复现此问题，继续跟踪

#8 - 2022-11-11 10:31 - CD Test赵飞

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD Test赵飞 to AF组-RD3_CDTS 罗肖

11月10号Release版本复现一次com.android.gallery3d的ANR

Tlog和ANR目录见FTP

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_113492/Tlog&#38;ANR.zip

#9 - 2022-11-15 10:19 - CD APP-王营

- Assignee changed from AF组-RD3_CDTS 罗肖 to CD APP-李德盛

#10 - 2022-11-16 19:55 - CDTS-TEST 周婷

- Due date deleted (2022-11-08)

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#11 - 2022-12-05 17:38 - CD APP-王营

- Due date set to 2022-12-15

#12 - 2022-12-27 17:16 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-李德盛 to CD Test赵飞

- % Done changed from 0 to 100

- Degrated changed from -- to No

- Fixed Version set to 2022-12-28

- Root cause set to 目前剩余ANR问题，原因一致，如下 Reason: Input dispatching timed out (Application does not have a focused window) 剩余的ANR问题，剩余

的根本原因应该是一样的。我们将统一在113491票里跟踪分析

#13 - 2022-12-28 14:26 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

经调查分析，产生ANR的原因与113491票一样，使用113491跟踪此类问题，关闭此票

#14 - 2022-12-28 14:26 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
